@use 'mixins' as mix;

@import "~@fontsource/lato/100";
@import "~@fontsource/lato/300";
@import "~@fontsource/material-icons";

$fontFamily: Lato, "Helvetica Neue", sans-serif;

$primary: (
  50 : #e4e6e9,
  100 : #bbc1c7,
  200 : #8e98a2,
  300 : #606f7c,
  400 : #3e5060,
  500 : #1c3144,
  600 : #192c3e,
  700 : #142535,
  800 : #111f2d,
  900 : #09131f,
  A100 : #5e9fff,
  A200 : #2b80ff,
  A400 : #0063f7,
  A700 : #0059de,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);
$secondary: (
  50 : #fffdf6,
  100 : #fff9e8,
  200 : #fff6d9,
  300 : #fff2ca,
  400 : #ffefbe,
  500 : #ffecb3,
  600 : #ffeaac,
  700 : #ffe7a3,
  800 : #ffe49a,
  900 : #ffdf8b,
  A100 : #ffffff,
  A200 : #ffffff,
  A400 : #ffffff,
  A700 : #ffffff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #000000,
    500 : #000000,
    600 : #000000,
    700 : #000000,
    800 : #000000,
    900 : #000000,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

:root {
  --link-color: map-get($primary, 800);
}

html, body {
  height: 100%;
}

body {
  margin: 0;
  font-family: $fontFamily;
  font-weight: 300;
}

a {
  color: var(--link-color);
  text-decoration: none;
  font-size: 1.5rem;
}

h1, h2 {
  margin: 0;
}

h1 {
  font-weight: 100;
  font-size: 6rem;
  @include mix.mq('phablet') {
    font-size: 3rem;
  }
}

h2 {
  font-weight: 300;
  font-size: 2rem;
}

.down-icon {
  width: 2rem;
  height: 2rem;
  background-image: url('assets/img/arrow.svg');
  object-fit: contain;
}

.content-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.content {
  padding-top: 3rem;
  width: 80vw;
  max-width: 1100px;
  text-align: center;
}
